# FieldToMatchProperty

Specifies a field in the request to redact from WAF logs, such as headers, query parameters, or body content.

- Source: Generated code
- Type last changed: v2.233.0 · 18 Dec 2025

## Example

```ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_observabilityadmin as observabilityadmin } from 'aws-cdk-lib';
const fieldToMatchProperty: observabilityadmin.CfnTelemetryRule.FieldToMatchProperty = {
  method: 'method',
  queryString: 'queryString',
  singleHeader: {
    name: 'name',
  },
  uriPath: 'uriPath',
};
```

## Properties

- `method`: string — Redacts the HTTP method from WAF logs.

- `queryString`: string — Redacts the entire query string from WAF logs.

- `singleHeader`: [IResolvable](/cdk/api/v2/docs/aws-cdk-lib.IResolvable.html) | [CfnTelemetryRule.SingleHeaderProperty](/cdk/api/v2/docs/aws-cdk-lib.aws_observabilityadmin.CfnTelemetryRule.SingleHeaderProperty.html) — Redacts a specific header field by name from WAF logs.

- `uriPath`: string — Redacts the URI path from WAF logs.
